#
# config.mk  -  configuration for makefiles
#
# Copyright (C) 1995,1996 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Program path names. Note that these have to use normal slashes.
#
CC	= d:/spr/borlandc/bin/bcc 
CPP	= d:/spr/borlandc/bin/cpp
ASM	= d:/spr/masm/masm 
LIBP	= d:/spr/mstools/lib 
LNKP	= d:/spr/mstools/link
EXEPACK	= d:/spr/mstools/exepack
DOBIN	= exe2bin
RM	= rm -f


#
#  Define this if you want see the compiler output
#
VERBOSE	= true


#
#  Path name for system include file directory:
#
SYSINCS	= d:/spr/borlandc/include


#
#  Path names for files to use when linking utility programs. These
#  have to use backslashes, and must correspond to the memory model
#  used for compilation.
#
SYSLIB	= d:\\spr\\borlandc\\lib\\cs.lib
SYSOBJ	= d:\\spr\\borlandc\\lib\\c0s.obj


#
#  C compiler definitions for Borland-C++ 2.0:
#	-O  = optimize jumps
#	-Z  = optimize register usage
#	-G- = optimize for size
#	-a  = produce code on word boundary
#	-1  = produce 186/286 code
#	-d  = merge duplicate strings
#	-f- = no floating point
#	-k  = standard stack frame
#	-ms = small model
#	-w  = enable all warnings
#
CDEBUG	= # -DDEBUG
ifdef P86
CBASE	= -a -f- -O -Z -G- -ms -d -k -w
else
CBASE	= -a -f- -O -Z -G- -ms -d -k -w -1
endif
CFLAGS	= $(CBASE) $(CDEBUG)


#
#  Assembler definitions for MASM:
#	/MX = preserve case in public and external names
#	/S  = write segments in sequential order
#	/T  = suppress messages for successful assembly
#
ADEBUG	= # /ZI
ifdef P86
ABASE	= /MX/S/T/DP86
else
ABASE	= /MX/S/T
endif
AFLAGS	= $(ABASE)$(ADEBUG)


#
#  Linker definitions:
#	/B    = prevent prompting with errors for batch file
#	/NOF  = no far call optimization
#	/NOP  = no code packing
#	/NOD  = no default libraries
#	/M    = write map file
#
LDEBUG	= # /CO/I
LBASE	= /B/NOF/NOP/NOD/M
LFLAGS	= $(LBASE)$(LDEBUG)


#
# The following definitions are for the individual modules of the
# source code. You should not need to change anything below this
# line. However, if you want to remove some of the features of
# the boot rom, here is a short explanation:
#
#	/DNEEDEXTIO	This will include the serial and parallel port
#			support into the DOS simulator. It's usually
#			not necessary.
#
#	/DNEEDLINEIO	Include support for reading and writing full lines
#			from the console into the DOS simulator. Usually not
#			necessary as well.
#
#	/DNEEDFILEIO	Implement file I/O functions in the DOS	simulator.
#			Shouldn't be necessary as well, as there are no files
#			to open or close.
#
#	/DNEEDTIME	Implement time and date handling functions in the DOS
#			simulator. Necessity for this depends on the packet
#			driver as well. Probably there is no need for time
#			and date handling functions so they are left out by
#			default.
#
#	-DNOARP		Don't use ARP packet processing. Without ARP it is
#			not possible to use different servers and/or gateways.
#
#	-DNOBPEXT	Don't use the BOOTP extension file feature.
#
#	-DNODNS		Don't include support for the domain name service
#			into the network name resolver.
#
#	-DNOMENU	Don't use a menu for selecting different load images.
#
# Unless you really go on debugging, don't use any of the DEBUG switches
# below.
#
UTLAFL	= 
UTLCFL	= -I$(SYSINCS) -DMSDOS # -DDEBUG

LODAFL	= 
LODCFL	= 

DOSAFL	= # /DNEEDFILEIO # /DNEEDLINEIO # /DNEEDEXTIO # /DNEEDTIME # /DDEBUG
DOSCFL	= 

INIAFL	= 
INICFL	= 

LIBAFL	= # /DDEBUG
LIBCFL	=

ifdef MINIMAL

NETAFL	= # /DDEBUG
NETCFL	= -DNOARP # -DDEBUG

ARPAAFL	=
ARPACFL	= -DNOBPEXT -DNODNS # -DNSDEBUG -DBPDEBUG

BOOTAFL	= 
BOOTCFL	= -DNODISK -DNOMENU # -DLDDEBUG

else

NETAFL	= # /DDEBUG
NETCFL	= # -DNOARP # -DDEBUG

ARPAAFL	=
ARPACFL	= # -DNOBPEXT # -DNODNS # -DNSDEBUG -DBPDEBUG

BOOTAFL	= 
BOOTCFL	= # -DNODISK # -DNOMENU # -DLDDEBUG

endif

